Last Comment Bug 787373 - Aurora download page needs updating to point to Fx17
: Aurora download page needs updating to point to Fx17
Status: RESOLVED FIXED
:
Product: Release Engineering
Classification: Other
Component: Other (show other bugs)
: other
: All All
: -- normal (vote)
: ---
Assigned To: Nick Thomas [:nthomas]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-31 05:15 PDT by Andrew Williamson [:eviljeff]
Modified: 2016-03-15 06:39 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed


Attachments
[svn] Push out mtime arg for aurora (1.86 KB, patch)
2012-09-13 17:49 PDT, Nick Thomas [:nthomas]
bhearsum: review+
bugspam.Callek: review-
nthomas: checked‑in+
Details | Diff | Splinter Review

Description Andrew Williamson [:eviljeff] 2012-08-31 05:15:00 PDT
http://www.mozilla.org/en-US/firefox/aurora/ still thinks Aurora is on Fx16 so the download link is 404'ing
Comment 1 Anthony Ricaud (:rik) 2012-08-31 05:23:31 PDT
AFAICT, Aurora 17 has not been released yet.

The problem here is that http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla-aurora-l10n/ does not contain the 16.0a2 builds.

http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla-aurora/ on the contrary has both 16.0a2 and 17.0a2.

Alex, Lukas: Can you reroute this bug?
Comment 2 Alex Keybl [:akeybl] 2012-08-31 10:43:20 PDT
This will be resolved today when we enable Aurora downloads/updates (edit the product-details and do a RelEng push), but we don't ever want to do that before the Friday after merge.

I think this is actually a RelEng bug. If we leave the last http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla-aurora/firefox-16.0a2.en-US.mac.dmg while we wait to push out http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla-aurora/firefox-17.0a2.en-US.mac.dmg this 404 won't occur.
Comment 3 Alex Keybl [:akeybl] 2012-08-31 10:43:51 PDT
We'll track for 16's release just to make sure this doesn't fall off our radar before the next merge.
Comment 4 Nick Thomas [:nthomas] 2012-09-02 21:14:12 PDT
This is one reason we can't just clean up the firefox/nightly/latest-<branch> directories as soon as version bump occurs.
Comment 5 Alex Keybl [:akeybl] 2012-09-12 14:23:36 PDT
Nick - can this be changed in automation or documentation?
Comment 6 Nick Thomas [:nthomas] 2012-09-12 15:36:03 PDT
Right now we don't have a cron job that cleans up the en-US files in the firefox/nightly/latest-<branch>/ directories (bug 703559 would like to add one but it's manual in the meantime). For l10n, we delete binaries older than 3 days in latest-mozilla-central-l10n/ and latest-mozilla-aurora-l10n/.

How about we increase the age limit to 5 days ? That way the last set of l10n nightlies on the old version will survive from the Monday morning until the following Saturday, by which time the website will have updated.
Comment 7 Alex Keybl [:akeybl] 2012-09-12 17:21:50 PDT
(In reply to Nick Thomas [:nthomas] from comment #6)
> Right now we don't have a cron job that cleans up the en-US files in the
> firefox/nightly/latest-<branch>/ directories (bug 703559 would like to add
> one but it's manual in the meantime). For l10n, we delete binaries older
> than 3 days in latest-mozilla-central-l10n/ and latest-mozilla-aurora-l10n/.
> 
> How about we increase the age limit to 5 days ? That way the last set of
> l10n nightlies on the old version will survive from the Monday morning until
> the following Saturday, by which time the website will have updated.

Sounds great - we could even move it to 7/8 days to give us some flexibility if necessary. Download links will still properly update.
Comment 8 Nick Thomas [:nthomas] 2012-09-13 17:49:05 PDT
Created attachment 661075 [details] [diff] [review]
[svn] Push out mtime arg for aurora

This should delete old aurora l10n builds at 1:45am on Tuesday morning a week after a merge.
Comment 9 Nick Thomas [:nthomas] 2012-09-14 05:07:52 PDT
Comment on attachment 661075 [details] [diff] [review]
[svn] Push out mtime arg for aurora

Committed revision 47608.

Is that everything to do here ?
Comment 10 Alex Keybl [:akeybl] 2012-09-14 12:07:28 PDT
I believe so. Thanks Nick!
Comment 11 Justin Wood (:Callek) 2012-09-15 03:19:09 PDT
Comment on attachment 661075 [details] [diff] [review]
[svn] Push out mtime arg for aurora

This caused errors in the cronjob. (both m-a and m-c)

/bin/sh: -c: line 0: syntax error near unexpected token `done'
/bin/sh: -c: line 0: `nice -n 19 find /home/ftp/pub/firefox/nightly/latest-mozilla-central-l10n/ -type f ! -name \*.txt.gz ! -name README\* -mtime +2 -exec rm -f {} \; ; done'
Comment 12 Nick Thomas [:nthomas] 2012-09-15 04:25:08 PDT
Trimmed the '; done' suffix off both lines I changed in revision 47691.
Comment 13 Ben Hearsum (:bhearsum) 2012-11-22 10:20:55 PST
I think we need this for mobile, too. See bug 814469.
Comment 14 Nick Thomas [:nthomas] 2012-11-22 13:16:25 PST
The problem with mobile is that it replaces the latest-blah-blah directory every day.
Comment 15 Ben Hearsum (:bhearsum) 2012-12-05 12:38:34 PST
Actually, let's not conflate these two issues. Filed bug 818644 to deal with Fennec.
Comment 16 BMO Automation 2016-03-15 06:39:47 PDT
Clearing Locale value as it is no longer relevant for this product and component.

Note You need to log in before you can comment on or make changes to this bug.